--[[

Crash happens because the cop's weapon unit gets destroyed when they become fully surrendered while shooting during a tasing animation
CopActionHurt:_upd_hurt() doesn't check if the unit is valid before trying to reference it, so when the weapon gets destroyed, the function will fruitlessly keep trying to manipulate the weapon
The weapon is probably getting deleted by lib/units/enemies/cop/huskcopbrain HuskCopBrain:sync_net_event() which added new instances of destroy_all_items() in U240.3

]]
--[[
Application has crashed: access violation

-------------------------------

Callstack:

         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     zip_error_init                                      
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
                      KERNEL32  (???)     BaseThreadInitThunk                                 
                         ntdll  (???)     RtlGetAppContainerNamedObjectPath                   
                         ntdll  (???)     RtlGetAppContainerNamedObjectPath                   


-------------------------------

Current thread: Main
Script stack:
                      update()  lib/units/enemies/cop/actions/full_body/copactionhurt.lua:1386  
                _upd_actions()  lib/units/enemies/cop/copmovement.lua:848           
                _upd_actions()  lib/units/enemies/cop/huskcopmovement.lua:13        
                                lib/units/enemies/cop/copmovement.lua:773           

-------------------------------
]]
local old_upd_hurt = CopActionHurt._upd_hurt

function CopActionHurt:_upd_hurt(...)
	if self._shooting_hurt then
		if not alive(self._weapon_unit) then
			self._shooting_hurt = false
		end
	end
	
	return old_upd_hurt(self,...)
end